%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		five-or-more
Version:	3.32.3
Release:	%mkrel 1
Summary:	GNOME Five or More game
License:	GPLv2+ and GFDL
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Five_or_more
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	vala
# For help
Requires:	yelp

%description
Five or More is the GNOME port of the once popular Windows game called
Color Lines. The game's objective is to align as often as possible five
or more objects of the same color and shape causing them to disappear.
Play as long as possible, and be #1 in the High Scores!

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.%{name}*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.%{name}.appdata.xml


%changelog
* Thu Mar 31 2022 ovitters <ovitters> 3.32.3-1.mga9
+ Revision: 1836751
- new version 3.32.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1561968
- new version 3.32.2

* Thu Mar 12 2020 ovitters <ovitters> 3.32.1-1.mga8
+ Revision: 1555926
- new version 3.32.1

* Sat Feb 15 2020 umeabot <umeabot> 3.32.0-3.mga8
+ Revision: 1525435
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392161
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374225
- new version 3.32.0

* Fri Mar 08 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372723
- new version 3.31.92

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257011
- new version: 3.30.0
- switch to meson build system

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208758
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206813
- new version 3.27.92

* Mon Feb 26 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1205355
- new version 3.27.91

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153036
- new version 3.26.0

* Mon Aug 21 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1142779
- new version 3.25.91

* Mon Aug 21 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1142733
- new version 3.25.90

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065739
- new version 3.22.2

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055279
- new version 3.22.0

* Mon Aug 22 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1047878
- new version 3.20.2

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993926
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990670
- new version 3.19.92

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981024
- new version 3.19.91

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925611
- new version 3.19.4

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910396
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905317
- new version 3.19.2

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883187
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879426
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871648
- new version 3.17.91

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838617
- new version 3.16.1

* Tue Feb 17 2015 wally <wally> 3.14.1-3.mga5
+ Revision: 815335
- require yelp for showing help

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 741679
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738443
- new version 3.14.1

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731401
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679217
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676957
- new version 3.13.92

* Tue Aug 19 2014 fwang <fwang> 3.13.90.1-1.mga5
+ Revision: 665400
- update file list
+ ovitters <ovitters>
- new version 3.13.90.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622083
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614072
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607933
- new version 3.12.0

* Sun Mar 16 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604235
- new version 3.11.92

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594233
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 582955
- new version 3.11.5

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550506
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550149
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541397
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495860
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483892
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480565
- new version 3.9.92

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468736
- new version 3.9.90
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.2-3.mga4
+ Revision: 440874
- Better 'Obsoletes'

* Sun Jun 09 2013 dams <dams> 3.8.2-2.mga4
+ Revision: 440806
- Obsoletes 'gnome-games-extra-data'

* Sun Jun 09 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 440765
- add 'libxml2-utils' as BR
- imported package five-or-more

